--- title: Company Search description: This endpoint lets you search for companies by technology stack, hiring signals, and firmographics. It returns a list of companies that match the search criteria, along with the jobs and technology objects for each company that match the filters you've passed. url: https://theirstack.com/en/docs/api-reference/companies/search_companies_v1 --- It consumes **3 [API credits](/en/docs/pricing/credits)** for each company returned in the response. Useful resources: [Preview data mode](https://theirstack.com/en/docs/api/preview-data-mode), [Free count mode](https://theirstack.com/en/docs/api/free-count) The response includes both [company data](/en/docs/data/company) and any matching jobs or technologies based on your filters. ## POST /v1/companies/search — Company Search This endpoint lets you search for companies by technology stack, hiring signals, and firmographics. It returns a list of companies that match the search criteria, along with the jobs and technology objects for each company that match the filters you've passed. It consumes \*\*3 API credits\*\* for each company returned in the response. Useful resources: \[Preview data mode\](https://theirstack.com/en/docs/api/preview-data-mode), \[Free count mode\](https://theirstack.com/en/docs/api/free-count) The response includes both company data and any matching jobs or technologies based on your filters. ### Request body | Field | Type | Required | Description | | --- | --- | --- | --- | | `blur_company_data` | boolean | No | Enable preview mode to return blurred data without consuming API credits. When enabled, sensitive company fields (name, domain, URLs, descriptions) and job-specific fields (description, URLs) are blurred. This mode is useful for sales software integrations to show data previews to end users. Not available when filtering by company identifiers (company\_name, company\_domain, company\_linkedin\_url, company\_id). Learn more about \[here\](https://theirstack.com/en/docs/api/preview-data-mode) Default: false | | `company_country_code_not` | array | No | Return companies whose HQ country code is not any of the ones passed here, case sensitive. Pass ISO2 country codes. | | `company_country_code_or` | array | No | Return companies whose HQ country code is any of the ones passed here, case sensitive. Pass ISO2 country codes. | | `company_description_pattern_accent_insensitive` | boolean | No | Set to True to make company description searches accent insensitive. For example, "á" will match "a" as well. Default: false | | `company_description_pattern_not` | array | No | Case-insensitive patterns to match in the company description. Will return companies that match any of the patterns. | | `company_description_pattern_or` | array | No | Case-insensitive patterns to match in the company description. Will return companies that match any of the patterns. | | `company_domain_not` | array | No | Only return companies that don't match these domains exactly. It accepts full urls (https://www.google.com/) and emails (john.polo@gmail.com). | | `company_domain_or` | array | No | Only return companies that match these domains exactly. It accepts full urls (https://www.google.com/) and emails (john.polo@gmail.com). This filter acts as an OR filter, so if you pass more than one company domain, it will return companies that match any of the domains. | | `company_id_not` | array | No | Exclude companies that match these IDs. This filter acts as a NOT filter, so if you pass more than one company ID, it will exclude companies that match any of the IDs. | | `company_id_or` | array | No | Only return companies that match these IDs exactly. This filter acts as an OR filter, so if you pass more than one company ID, it will return companies that match any of the IDs. | | `company_investors_or` | array | No | Investors of the company | | `company_investors_partial_match_or` | array | No | Investors of the company. Will return companies for which any of their investors contains any of the substrings passed here. For example, if you pass 'andree', all funds that match it (like 'Andreessen Horowitz', 'Andreessen Horowitz LLC', etc). | | `company_keyword_slug_and` | array | No | Return results from companies that have mentioned all of these keywords in their jobs. Case sensitive. Pass slugs. Check out all the keywords we track at \[GET /v0/catalog/keywords\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_v0) | | `company_keyword_slug_not` | array | No | Return results from companies that haven't mentioned any of these keywords in their jobs. Case sensitive. Pass slugs. Check out all the keywords we track at \[GET /v0/catalog/keywords\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_v0) | | `company_keyword_slug_or` | array | No | Return results from companies that have mentioned any of these keywords in their jobs. Case sensitive. Pass slugs. Check out all the keywords we track at \[GET /v0/catalog/keywords\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_v0) | | `company_linkedin_url_exists` | boolean | No | (Use \`property\_exists\_or / property\_exists\_and\` instead) Only return companies with a LinkedIn URL | | `company_linkedin_url_or` | array | No | Return companies whose LinkedIn URL matches any of the slugs passed here. Can also pass full LinkedIn company URLs. | | `company_list_id_not` | array | No | Return companies that don't belong to any of the company lists passed here | | `company_list_id_or` | array | No | Return companies that belong to any of the company lists passed here | | `company_location_pattern_or` | array | No | Return companies whose city matches any of the patterns passed here. Case insensitive. For example, if you pass 'san francisco', it will return companies whose city is 'San Francisco', 'San Francisco Bay Area', etc. | | `company_name_case_insensitive_or` | array | No | Only return companies that match these names exactly, case-insensitively. | | `company_name_not` | array | No | Only return companies that don't match these names exactly, case-sensitively. | | `company_name_or` | array | No | Only return companies that match these names exactly, case-sensitively. This filter acts as an OR filter, so if you pass more than one company name, it will return companies that match any of the names. | | `company_name_partial_match_not` | array | No | Company names. Will return companies whose name doesn't contain any of the the substrings passed here, case-insensitively. For example, if you pass 'google', it will exclude 'Google', 'Google LLC', 'Google Inc', etc. | | `company_name_partial_match_or` | array | No | Company names. Will return companies whose name contain any of the the substrings passed here, case-insensitively. For example, if you pass "google", it will return "Google", "Google LLC", "Google Inc", etc. | | `company_tags_or` | array | No | Return companies that match any of these keywords | | `company_technology_slug_and` | array | No | Will return jobs from companies that that have mentioned all of these technologies in their jobs (not necessarily in the jobs returned). Case sensitive. Pass slugs. Check out all the technologies we track at \[GET /v0/catalog/technologies\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_technologies\_v0) | | `company_technology_slug_not` | array | No | Will return jobs from companies that that haven't mentioned any of these technologies in their jobs. Case sensitive. Pass slugs. Check out all the technologies we track at \[GET /v0/catalog/technologies\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_technologies\_v0) | | `company_technology_slug_or` | array | No | Will return jobs from companies that that have mentioned any of these technologies in their jobs (not necessarily in the jobs returned). Case sensitive. Pass slugs. Check out all the technologies we track at \[GET /v0/catalog/technologies\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_technologies\_v0) | | `company_type` | enum(recruiting\_agency, direct\_employer, all) | No | Filter by company type. | | `cursor` | string | No | Cursor for pagination | | `expand_technology_slugs` | array | No | Specify technology slugs to include detailed technology usage information for each company. The response will include a 'technologies\_found' field containing metrics like confidence score, ranking, and job count for each specified technology. Note: If a technology is not listed for a company, it means that company does not use that technology. This feature is useful for enriching company data with their technology stack details. | | `funding_stage_or` | array | No | Funding stages of companies returned. Possible values: \['angel', 'convertible\_note', 'debt\_financing', 'equity\_crowdfunding', 'other', 'private\_equity', 'seed', 'series\_a', 'series\_b', 'series\_c', 'series\_d', 'series\_e', 'series\_f', 'series\_g', 'series\_h', 'venture\_round\_not\_specified', 'series\_i', 'series\_j', 'undisclosed', 'series\_unknown', 'pre\_seed', 'post\_ipo\_secondary', 'post\_ipo\_equity', 'post\_ipo\_debt', 'non\_equity\_assistance', 'late\_vc', 'initial\_coin\_offering', 'growth\_equity\_vc', 'grant', 'early\_vc', 'corporate\_round', 'secondary\_market', 'product\_crowdfunding'\] | | `include_total_results` | boolean | No | When enabled, calculates and returns \`total\_results\` and \`total\_companies\` fields in the response. WARNING: This significantly slows down responses as it requires reading the entire dataset. Recommended usage: enable only for the initial request to get totals, then disable for subsequent pagination requests. Default: false | | `industry_id_not` | array | No | Industry ids to exclude.You can use any of \[LinkedIn's Industry Codes V2\](https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2) or \[GET /v0/catalog/industries\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_industries\_v0) | | `industry_id_or` | array | No | Industry codes. You can use any of \[LinkedIn's Industry Codes V2\](https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2) or \[GET /v0/catalog/industries\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_industries\_v0) | | `industry_not` | array | No | Names of industries, case-insensitive. Results will exclude companies that belong to any of the industries specified in this parameter. Available values: \[GET /v0/catalog/industries\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_industries\_v0) WARNING: Deprecated parameter. Use the industry\_id\_not field instead. | | `industry_or` | array | No | Names of industries, case-insensitive. Results will only include companies that belong to any of the industries specified in this parameter. Available values: \[GET /v0/catalog/industries\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_industries\_v0) WARNING: Deprecated parameter. Use the industry\_id\_or field instead. | | `job_filters` | JobFilters | No | | | `last_funding_round_date_gte` | string | No | Only return companies whose last funding round date is after or on this date. Format: 'YYYY-MM-DD' | | `last_funding_round_date_lte` | string | No | Only return companies whose last funding round date is before or on this date. Format: 'YYYY-MM-DD' | | `limit` | integer | No | Number of results per page Default: 25 | | `max_employee_count` | integer | No | Maximum number of employees in a company | | `max_employee_count_or_null` | integer | No | Maximum number of employees in a company. If we don't have company size information, we will return it as well. | | `max_funding_usd` | integer | No | Maximum company funding, in USD | | `max_revenue_usd` | integer | No | Maximum company revenue, in USD | | `min_employee_count` | integer | No | Minimum number of employees in a company | | `min_employee_count_or_null` | integer | No | Minimum number of employees in a company. If we don't have company size information, we will return it as well. | | `min_funding_usd` | integer | No | Minimum company funding, in USD | | `min_revenue_usd` | integer | No | Minimum company revenue, in USD | | `offset` | integer | No | Number of results to skip. Required for \[offset-based pagination\](https://theirstack.com/en/docs/api-reference/pagination). Default: 0 | | `only_yc_companies` | boolean | No | Only return YC companies Default: false | | `order_by` | array | No | List of column objects. You can pass several columns to order by, in order of priority. Only \`field\` is required, \`desc\` is True by default Default: \[{"desc":true,"field":"relevance"}\] | | `page` | integer | No | Page number. Required when using \[page-based pagination\](https://theirstack.com/en/docs/api-reference/pagination). Default: 0 | | `property_exists_and` | array | No | Return companies that have all of these fields not null. For example, if you pass \['domain', 'linkedin\_url'\], it will return companies that have both domain AND linkedin\_url set. | | `property_exists_or` | array | No | Return companies that have any of these fields not null. For example, if you pass \['domain', 'linkedin\_url'\], it will return companies that have a domain OR a linkedin\_url set. | | `revealed_company_data` | boolean | No | This field is deprecated and has no effect. | | `tech_filters` | KeywordFilters | No | Filter by technologies and buying intent topics detected for the company | #### `job_filters` | Field | Type | Required | Description | | --- | --- | --- | --- | | `discovered_at_gte` | string or string | No | Only jobs discovered by TheirStack on this date or datetime or after will be returned. In UTC timezone. | | `discovered_at_lte` | string or string | No | Only jobs discovered by TheirStack on this date or datetime or before will be returned. In UTC timezone. | | `discovered_at_max_age_days` | integer | No | If 0, only return jobs added to our database in the current day. If 1, from today and yesterday, etc. | | `discovered_at_min_age_days` | integer | No | If 1, only return jobs discovered by TheirStack until yesterday. If 2, until 2 days ago, etc. | | `easy_apply` | boolean | No | If True, only return jobs that can be applied directly through the job board. If False, only return jobs that require redirecting to the company's website. | | `employment_statuses_or` | array | No | Filter jobs by employment status. Returns jobs that match any of the specified employment types. If no values are provided or an empty list is sent, all jobs regardless of employment status will be returned. | | `final_url_exists` | boolean | No | (Use \`property\_exists\_or / property\_exists\_and\` instead) Only return jobs with a final URL. Typically jobs that were originally posted on an ATS. If True, only return jobs with a final URL. If False, only return jobs without a final URL. If None, return all jobs. | | `hiring_managers_exists` | boolean | No | (Use \`property\_exists\_or / property\_exists\_and\` instead) If True, only return jobs with a hiring manager. If False, only return jobs without a hiring manager. If None, return all jobs. | | `job_country_code_not` | array | No | 2-letter ISO country code of the location of the job. Can pass more than 1. Will exclude jobs from these countries | | `job_country_code_or` | array | No | 2-letter ISO country code of the location of the job. Can pass more than 1 | | `job_description_contains_not` | array | No | Exclude jobs whose description contains any of these whole words using word boundaries (\\b). Case-insensitive by default, except for the patterns that are uppercase - in that case we'll respect it. Only finds complete words (e.g., searching 'quality' won't match 'inequality'). Results will exclude jobs whose description contains any of these words. | | `job_description_contains_or` | array | No | Search for whole words in job descriptions using word boundaries (\\b). Case-insensitive by default, except for the patterns that are uppercase - in that case we'll respect it. Only finds complete words (e.g., searching 'quality' won't match 'inequality'). Results will include jobs whose description contains any of these words. | | `job_description_pattern_and` | array | No | Regex patterns that must ALL match the job description (AND logic). Use (?i) at the start of a pattern to make it case-insensitive. Results will only include jobs whose description matches every pattern in this list. | | `job_description_pattern_case_sensitive_or` | array | No | Deprecated. Use job\_description\_pattern\_or instead, which now behaves identically. | | `job_description_pattern_is_case_insensitive` | boolean | No | Deprecated. Has no effect. Default: true | | `job_description_pattern_not` | array | No | Regex patterns to look for in job descriptions. Case-sensitive. Results will include jobs whose description don't match any of these patterns. Use (?i) at the start of a pattern to make it case-insensitive. Can pass more than one. | | `job_description_pattern_or` | array | No | Regex patterns to look for in job descriptions. Case-sensitive. Results will include jobs whose description matches any of these patterns. Use (?i) at the start of a pattern to make it case-insensitive. Can pass more than one. | | `job_id_not` | array | No | Exclude jobs with these IDs. | | `job_id_or` | array | No | Get jobs with these IDs only. | | `job_ids` | array | No | Get jobs with these IDs only. Deprecated parameter, use job\_id\_or instead. | | `job_keyword_slug_and` | array | No | Will return jobs where all of these keyword slugs appear. Case sensitive. Check out all the keywords we track at \[GET /v0/catalog/keywords\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_v0) | | `job_keyword_slug_not` | array | No | Will return jobs where none of these keyword slugs appear. Case sensitive. Check out all the keywords we track at \[GET /v0/catalog/keywords\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_v0) | | `job_keyword_slug_or` | array | No | Will return jobs where any of these keyword slugs appear. Case sensitive. Check out all the keywords we track at \[GET /v0/catalog/keywords\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_v0) | | `job_location_not` | array | No | Filter jobs by location. Returns jobs whose locations DO NOT match ANY of the specified location criteria. Each location criteria is specified using a JobLocationFilter object. (You can find location IDs using the \[locations catalog endpoint\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_locations\_v0)) | | `job_location_or` | array | No | Filter jobs by location. Returns jobs whose locations match ANY of the specified location criteria. Each location criteria is specified using a JobLocationFilter object. (You can find location IDs using the \[locations catalog endpoint\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_locations\_v0)) | | `job_location_pattern_not` | array | No | Regex patterns to exclude job locations. Case-insensitive. Searches both the location field and the enhanced locations array (using normalized city and state name fields within each location element). Jobs matching ANY of the provided patterns will be EXCLUDED from results. WARNING: Deprecated parameter. Use the \`job\_location\_not\` filter instead — it uses structured location IDs from the \[locations catalog\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_locations\_v0), which is more precise, supports hierarchical (country/region/city) and multi-language searches, has fewer false positives, and benefits from indexed lookups and recent accuracy fixes. | | `job_location_pattern_or` | array | No | Regex patterns to match job locations. Case-insensitive. Searches both the location field and the enhanced locations array (using normalized city and state name fields within each location element). Jobs matching ANY of the provided patterns will be returned. WARNING: Deprecated parameter. Use the \`job\_location\_or\` filter instead — it uses structured location IDs from the \[locations catalog\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_locations\_v0), which is more precise, supports hierarchical (country/region/city) and multi-language searches, has fewer false positives, and benefits from indexed lookups and recent accuracy fixes. | | `job_seniority_or` | array | No | Will return jobs where the seniority is any of the ones passed here | | `job_technology_slug_and` | array | No | Will return jobs where all of these technologies appear. Case sensitive. Pass slugs. Check out all the technologies we track with the technologies endpoint. | | `job_technology_slug_not` | array | No | Will return jobs where none of these technologies appear. Case sensitive. Pass slugs. Check out all the technologies we track with the technologies endpoint. | | `job_technology_slug_or` | array | No | Will return jobs where any of these technologies appear. Case sensitive. Pass slugs. Check out all the technologies we track with the technologies endpoint. If you pass more than one technology, we will return jobs that mentnion all of the technologies. | | `job_title_not` | array | No | Keyword-based patterns to exclude job titles. Case-insensitive. Excludes jobs whose title contains all the words in any of the patterns, in any order. For example, \`marketing vp\` excludes titles such as \`VP of Marketing\` or \`Marketing VP, EMEA\`. | | `job_title_or` | array | No | Keyword-based patterns to match job titles. Case-insensitive. Returns jobs whose title contains all the words in any of the patterns, in any order. For example, \`marketing vp\` matches titles such as \`VP of Marketing\` or \`Marketing VP, EMEA\`. Passing \`\["software engineer", "data scientist"\]\` returns jobs matching either pattern. | | `job_title_pattern_and` | array | No | Regex patterns to match job titles. Case-insensitive. Only jobs with title that match all of these patterns will be returned. | | `job_title_pattern_not` | array | No | Regex patterns to match job titles. Case-insensitive. Jobs whose job title doesn't match any of the patterns will be returned. | | `job_title_pattern_or` | array | No | Regex patterns to match job titles. Case-insensitive. Jobs whose job title matches of the filters will be returned. | | `max_salary_usd` | number | No | Maximum annual salary in USD. For example, 150000 means $150,000. | | `min_salary_usd` | number | No | Minimum annual salary in USD. For example, 100000 means $100,000. | | `only_jobs_with_hiring_managers` | boolean | No | Only return jobs with a hiring manager. If True, only return jobs with a hiring manager. If False, only return jobs without a hiring manager. If None, return all jobs. | | `only_jobs_with_reports_to` | boolean | No | Only return jobs where we identified the role the hired person would report to. Deprecated field, use reports\_to\_exists instead. | | `posted_at_gte` | string | No | ISO 8601 date string (yyyy-mm-dd). Only jobs published in this date or after will be returned. | | `posted_at_lte` | string | No | ISO 8601 date string (yyyy-mm-dd). Only jobs published in this date or before will be returned. | | `posted_at_max_age_days` | integer | No | Date posted max age in days. If 0, only return jobs posted today. If 1, from today and yesterday, etc. | | `remote` | boolean | No | True: only show remote jobs. False: only show non-remote jobs. None: show all jobs. | | `reports_to_exists` | boolean | No | Only return jobs where we identified the role the hired person would report to. If True, only return jobs where we identified the role the hired person would report to. If False, only return jobs where we didn't identify the role the hired person would report to. If None, return all jobs. | | `scraper_name_pattern_or` | array | No | Regex patterns to match job sources. Case-insensitive. | | `url_domain_not` | array | No | Exclude jobs if their URL domain (from \`url\` or \`source\_url\`) is in the provided case-insensitive list. For example, \['greenhouse.io', 'workable.com'\] will exclude URLs containing 'greenhouse.io' or 'workable.com'. Refer to our list of sources at https://theirstack.com/en/docs/data/job/sources. | | `url_domain_or` | array | No | Include jobs only if their URL domain (from \`url\` or \`source\_url\`) is in the provided case-insensitive list. For example, \['greenhouse.io', 'workable.com'\] will match URLs containing 'greenhouse.io' or 'workable.com'. Refer to our list of sources at https://theirstack.com/en/docs/data/job/sources. | ##### `job_location_not` | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | integer | No | Filter by location id. You can discover all the locations from the locations catalog endpoint \[GET /v0/catalog/locations\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_locations\_v0) | ##### `job_location_or` | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | integer | No | Filter by location id. You can discover all the locations from the locations catalog endpoint \[GET /v0/catalog/locations\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_locations\_v0) | #### `order_by` | Field | Type | Required | Description | | --- | --- | --- | --- | | `desc` | boolean | No | Whether to order by descending or ascending values Default: true | | `field` | enum(relevance, name, num\_jobs, num\_jobs\_last\_30\_days, num\_jobs\_found, employee\_count, alexa\_ranking, founded\_year, annual\_revenue\_usd, total\_funding\_usd, last\_funding\_round\_date, confidence, jobs, first\_date\_found) | Yes | Order the results by one of these fields. Use 'relevance' (recommended) for the fastest, automatically optimized sort based on your filters. | #### `tech_filters` | Field | Type | Required | Description | | --- | --- | --- | --- | | `confidence_or` | array | No | Returns technologies with any of these confidence values that the companies use them. Available values: "high", "medium", "low" | | `first_date_found_gte` | string | No | Only return technologies where the first time they were found was after or on this date. Format: "YYYY-MM-DD" | | `first_date_found_lte` | string | No | Only return technologies where the first time they were found was before or on this date. Format: "YYYY-MM-DD" | | `keyword_category_slug_or` | array | No | Return companies that have mentioned any keyword from any of these categories in their jobs. Case sensitive. Pass slugs. Check out all keyword categories at \[GET /v0/catalog/keywords/categories\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_categories\_v0) | | `keyword_parent_category_slug_or` | array | No | Return companies that have mentioned any keyword from any of these parent categories in their jobs. Case sensitive. Pass slugs. Check out all keyword categories at \[GET /v0/catalog/keywords/categories\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_categories\_v0) | | `keyword_slug_or` | array | No | Return companies that have mentioned any of these keywords (technologies or buying intent topics) in their jobs. Case sensitive. Pass slugs. Check out all keywords at \[GET /v0/catalog/keywords\](https://theirstack.com/en/docs/api-reference/catalog/get\_catalog\_keywords\_v0) | | `last_date_found_gte` | string | No | Only return technologies where the last time they were found was after or on this date. Format: "YYYY-MM-DD" | | `last_date_found_lte` | string | No | Only return technologies where the last time they were found was before or on this date. Format: "YYYY-MM-DD" | | `max_jobs` | integer | No | Maximum number of jobs found by each company using a technology | | `max_rank` | integer | No | The rank measures how common is a technology within its category. The technology most used among similar ones by a company will have a rank of 1, the second: 2, etc. This is useful to filter results by technology and get only results for the primary technology. | | `min_jobs` | integer | No | Minimum number of jobs found by each company using a technology | | `min_relative_occurrence` | number | No | Minimum value of relative\_occurrence\_within\_category for each technology. Higher values increase the probability that this technology is actually used by the company, because it means a higher percentage of mentions to technologies among this category are of this technology. | | `technology_category_slug_or` | array | No | Deprecated: use \`keyword\_category\_slug\_or\` instead. Will return companies that have mentioned any keyword from any of these categories in their jobs. Case sensitive. Pass slugs. | | `technology_parent_category_slug_or` | array | No | Deprecated: use \`keyword\_parent\_category\_slug\_or\` instead. Will return companies that have mentioned any keyword from any of these parent categories in their jobs. Case sensitive. Pass slugs. | | `technology_slug_or` | array | No | Deprecated: use \`keyword\_slug\_or\` instead. Will return companies that have mentioned any of these technologies in their jobs. Case sensitive. Pass slugs. | ### Request examples #### AI companies with recent job postings ``` { "company_description_pattern_or": [ "artificial intelligence", "machine learning", "deep learning", "neural networks", "reinforcement learning", "natural language processing", "computer vision", "generative models", "transformer models", "\\bllms?\\b", "\\bnlp\\b" ], "job_filters": { "job_country_code_not": [], "job_country_code_or": [], "job_description_contains_not": [], "job_description_contains_or": [], "job_description_pattern_and": [], "job_description_pattern_case_sensitive_or": [], "job_description_pattern_is_case_insensitive": true, "job_description_pattern_not": [], "job_description_pattern_or": [], "job_id_not": [], "job_id_or": [], "job_ids": [], "job_keyword_slug_and": [], "job_keyword_slug_not": [], "job_keyword_slug_or": [], "job_location_not": [], "job_location_or": [], "job_location_pattern_not": [], "job_location_pattern_or": [], "job_seniority_or": [], "job_technology_slug_and": [], "job_technology_slug_not": [], "job_technology_slug_or": [], "job_title_not": [], "job_title_or": [], "job_title_pattern_and": [], "job_title_pattern_not": [], "job_title_pattern_or": [], "posted_at_max_age_days": 30, "scraper_name_pattern_or": [], "url_domain_not": [], "url_domain_or": [] }, "limit": 25, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0 } ``` #### Companies hiring software engineers in the last 30 days ``` { "job_filters": { "job_country_code_not": [], "job_country_code_or": [], "job_description_contains_not": [], "job_description_contains_or": [], "job_description_pattern_and": [], "job_description_pattern_case_sensitive_or": [], "job_description_pattern_is_case_insensitive": true, "job_description_pattern_not": [], "job_description_pattern_or": [], "job_id_not": [], "job_id_or": [], "job_ids": [], "job_keyword_slug_and": [], "job_keyword_slug_not": [], "job_keyword_slug_or": [], "job_location_not": [], "job_location_or": [], "job_location_pattern_not": [], "job_location_pattern_or": [], "job_seniority_or": [], "job_technology_slug_and": [], "job_technology_slug_not": [], "job_technology_slug_or": [], "job_title_not": [], "job_title_or": [], "job_title_pattern_and": [], "job_title_pattern_not": [], "job_title_pattern_or": [ "software engineer" ], "posted_at_gte": "2026-05-05", "scraper_name_pattern_or": [], "url_domain_not": [], "url_domain_or": [] }, "limit": 25, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0 } ``` #### Companies using both AWS and React ``` { "company_technology_slug_and": [ "aws", "react" ], "limit": 25, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0 } ``` #### Companies that started using or showing interest in React lately ``` { "company_technology_slug_or": [ "react" ], "limit": 25, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0, "tech_filters": { "confidence_or": [ "high" ], "keyword_category_slug_or": [], "keyword_parent_category_slug_or": [], "keyword_slug_or": [], "technology_category_slug_or": [], "technology_parent_category_slug_or": [], "technology_slug_or": [] } } ``` #### Y Combinator backed companies ``` { "limit": 25, "only_yc_companies": true, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0 } ``` #### All available parameters ``` { "blur_company_data": false, "company_country_code_not": [], "company_country_code_or": [], "company_description_pattern_accent_insensitive": false, "company_description_pattern_not": [], "company_description_pattern_or": [], "company_domain_not": [], "company_domain_or": [], "company_id_not": [], "company_id_or": [], "company_investors_or": [], "company_investors_partial_match_or": [], "company_keyword_slug_and": [], "company_keyword_slug_not": [], "company_keyword_slug_or": [], "company_linkedin_url_or": [], "company_list_id_not": [], "company_list_id_or": [], "company_location_pattern_or": [], "company_name_case_insensitive_or": [], "company_name_not": [], "company_name_or": [], "company_name_partial_match_not": [], "company_name_partial_match_or": [], "company_tags_or": [], "company_technology_slug_and": [], "company_technology_slug_not": [], "company_technology_slug_or": [], "expand_technology_slugs": [], "funding_stage_or": [], "include_total_results": false, "industry_id_not": [], "industry_id_or": [], "industry_not": [], "industry_or": [], "job_filters": { "job_country_code_not": [], "job_country_code_or": [], "job_description_contains_not": [], "job_description_contains_or": [], "job_description_pattern_and": [], "job_description_pattern_case_sensitive_or": [], "job_description_pattern_is_case_insensitive": true, "job_description_pattern_not": [], "job_description_pattern_or": [], "job_id_not": [], "job_id_or": [], "job_ids": [], "job_keyword_slug_and": [], "job_keyword_slug_not": [], "job_keyword_slug_or": [], "job_location_not": [], "job_location_or": [], "job_location_pattern_not": [], "job_location_pattern_or": [], "job_seniority_or": [], "job_technology_slug_and": [], "job_technology_slug_not": [], "job_technology_slug_or": [], "job_title_not": [], "job_title_or": [], "job_title_pattern_and": [], "job_title_pattern_not": [], "job_title_pattern_or": [], "scraper_name_pattern_or": [], "url_domain_not": [], "url_domain_or": [] }, "limit": 25, "offset": 0, "only_yc_companies": false, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0, "property_exists_and": [], "property_exists_or": [], "tech_filters": { "confidence_or": [], "keyword_category_slug_or": [], "keyword_parent_category_slug_or": [], "keyword_slug_or": [], "technology_category_slug_or": [], "technology_parent_category_slug_or": [], "technology_slug_or": [] } } ``` #### Large companies in the finance sector ``` { "industry_id_or": [ 43 ], "limit": 25, "min_employee_count": 10000, "order_by": [ { "desc": true, "field": "annual_revenue_usd" } ], "page": 0 } ``` #### Companies with $1M - $10M in funding ``` { "limit": 25, "max_funding_usd": 10000000, "min_funding_usd": 1000000, "order_by": [ { "desc": true, "field": "total_funding_usd" } ], "page": 0 } ``` #### US companies ``` { "company_country_code_or": [ "US" ], "limit": 25, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0 } ``` #### US companies using Snowflake ``` { "company_technology_slug_or": [ "snowflake" ], "limit": 25, "order_by": [ { "desc": true, "field": "employee_count" } ], "page": 0 } ``` ### Responses #### 200 — Successful Response | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | array | Yes | | | `metadata` | Metadata | Yes | | ##### `data` | Field | Type | Required | Description | | --- | --- | --- | --- | | `alexa_ranking` | integer | No | Alexa ranking | | `annual_revenue_usd` | number | No | Annual revenue of the company in USD | | `annual_revenue_usd_readable` | string | No | Annual revenue of the company in USD, formated as an easily readable string | | `apollo_id` | string | No | ID of the company in Apollo | | `city` | string | No | City of the company's HQ | | `company_keywords` | array | No | Company keywords, related to what the company does. Deprecated: use company\_tags instead. | | `company_tags` | array | No | Company keywords, related to what the company does | | `country` | string | No | Country of the company's HQ | | `country_code` | string | No | ISO2 country code. E.g. "US" | | `domain` | string | No | Company domain | | `employee_count` | integer | No | Number of employees of the company | | `employee_count_range` | string | No | Number range of employees at the company | | `founded_year` | integer | No | Year the company was founded | | `funding_stage` | enum(angel, convertible\_note, debt\_financing, equity\_crowdfunding, other, private\_equity, seed, series\_a, series\_b, series\_c, series\_d, series\_e, series\_f, series\_g, series\_h, venture\_round\_not\_specified, series\_i, series\_j, undisclosed, series\_unknown, pre\_seed, post\_ipo\_secondary, post\_ipo\_equity, post\_ipo\_debt, non\_equity\_assistance, late\_vc, initial\_coin\_offering, growth\_equity\_vc, grant, early\_vc, corporate\_round, secondary\_market, product\_crowdfunding) | No | Latest funding stage of the company | | `has_blurred_data` | boolean | No | Whether the returned object has company identifiable data blurred or not Default: false | | `id` | string | Yes | Company ID | | `industry` | string | No | Industry of the company | | `industry_id` | integer | No | Code of the industry. One of LinkedIn's Industry Codes V2 from https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2 | | `investors` | array | No | List of investors in this company | | `is_recruiting_agency` | boolean | No | Is a recruiting agency | | `jobs_found` | array | No | List of the last 5 jobs posted by the company, relevant to the current search | | `keyword_slugs` | array | No | Slugs of all keywords (technologies and buying intent topics) found in this company's jobs | | `keywords_found` | array | No | List of buying intent keywords and technologies found in this company's jobs, relevant to the current search | | `last_funding_round_amount_readable` | string | No | Amount of the last funding round of the company, formated as an easily readable string | | `last_funding_round_date` | string | No | Date of the last funding round of the company | | `linkedin_id` | string | No | ID of the company in LinkedIn | | `linkedin_url` | string | No | | | `logo` | string | No | Stable CDN-hosted company logo URL suitable for display in applications | | `long_description` | string | No | Short description of the company | | `name` | string | Yes | Company name | | `num_buying_intent_topics` | integer | No | Number of distinct buying intent topic keywords found in this company's jobs Default: 0 | | `num_jobs` | integer | No | Number of jobs from this company in our database Default: 0 | | `num_jobs_found` | integer | No | When filtering companies by jobs, number of jobs found for this company | | `num_jobs_last_30_days` | integer | No | Number of jobs from this company in our database posted in the last 30 days Default: 0 | | `num_keywords` | integer | No | Number of distinct keywords (technologies + buying intent topics) found in this company's jobs Default: 0 | | `num_technologies` | integer | No | Number of technologies mentioned in the jobs of this company Default: 0 | | `possible_domains` | array | No | List of possible domains for the company | | `postal_code` | string | No | Postal code of the company's HQ | | `publicly_traded_exchange` | string | No | | | `publicly_traded_symbol` | string | No | | | `seo_description` | string | No | SEO description of the company, extracted from their website | | `technologies_found` | array | No | List of technologies found to be used by the company, relevant to the current search | | `technology_names` | array | No | Names of the technologies found to be used by the company | | `technology_slugs` | array | No | Slugs of the technologies found in this company's jobs. This is a subset of keyword\_slugs filtered to only technology-type keywords. | | `total_funding_usd` | integer | No | Funding of the company in USD | | `url` | string | No | Company domain. Same as the "domain" field. Will be deprecated in the future. | | `url_source` | string | No | Source of the company URL | | `yc_batch` | string | No | If the company went through YC, this is its batch | ###### `jobs_found` | Field | Type | Required | Description | | --- | --- | --- | --- | | `company` | string | Yes | | | `date_posted` | string | No | Date when the job was posted | | `has_blurred_data` | boolean | No | Whether the returned object has company identifiable data blurred or not Default: false | | `id` | integer | No | ID of the job | | `job_title` | string | No | Job title | | `source_url` | string | No | Original source URL of the job post (e.g. job board URL) | | `url` | string | No | URL of the job post | ###### `keywords_found` | Field | Type | Required | Description | | --- | --- | --- | --- | | `company_name` | string | Yes | Company name. This field is deprecated, please don't use it | | `confidence` | enum(low, medium, high) | Yes | How confident we are that the company uses this technology | | `first_date_found` | string | Yes | Date when the keyword was first mentioned by the company in a job post | | `jobs` | integer | Yes | Number of jobs found mentioning this technology | | `jobs_last_180_days` | integer | Yes | Number of jobs from the given company mentioning this technology in the last 180 days | | `jobs_last_30_days` | integer | Yes | Number of jobs from the given company mentioning this technology in the last 30 days | | `jobs_last_7_days` | integer | Yes | Number of jobs from the given company mentioning this technology in the last 7 days | | `last_date_found` | string | Yes | Date when the keyword was last mentioned by the company in a job post | | `rank_within_category` | integer | Yes | Measures how common this technology is among the company's jobs, compared to other technologies in the same category. The most mentioned technology in its category will have a rank of 1. This helps you infer which is the technology the company is most likely to be using, when they mention several technologies that belong to the same category. | | `relative_occurrence_within_category` | number | Yes | Measures the relative occurance of this technology among other technologies in the same category, in jobs by this company. If there are 10 jobs where a company mentions 3 categories, and they appear in 8, 3 and 2 jobs respectively, its relative occurrences will be 0.8, 0.3 and 0.2. This helps you infer how likely it is that the company is using this technology, when they mention several technologies that belong to the same category. | | `technology` | KeywordExtended | Yes | Technology object | | `theirstack_score` | number | No | \[DEPRECATED\] This is a score we assign to every technology used by each company to assess how likely it is that they're using it, combining the value of \`jobs\` and \`relative\_occurrence\_within\_category\`. The higher this value is, the higher the chances that the company uses this technology. Values lower than 1 mean it's not very likely they use it. Then, the higher the value of theirstack\_score, the more likely it is that they actually use it. | ###### `technology` | Field | Type | Required | Description | | --- | --- | --- | --- | | `category` | string | No | Category of the keyword | | `category_slug` | string | No | Slug of the category of the keyword | | `logo` | string | No | Logo of the keyword | | `logo_thumbnail` | string | No | Thumbnail of the keyword | | `name` | string | Yes | | | `parent_category` | string | No | Parent category of the keyword | | `parent_category_slug` | string | No | Slug of the parent category of the keyword | | `slug` | string | Yes | Slug of the keyword | | `type` | enum(technology, software\_product, technology\_concept, operational\_activity, strategic\_initiative, metric\_or\_concept, product\_or\_service\_offered, regulation, threat\_or\_risk, event, commodity, industry\_vertical, physical\_equipment, medical\_research, government\_body) | No | Type of the keyword (e.g. technology, operational\_activity) | ###### `technologies_found` | Field | Type | Required | Description | | --- | --- | --- | --- | | `company_name` | string | Yes | Company name. This field is deprecated, please don't use it | | `confidence` | enum(low, medium, high) | Yes | How confident we are that the company uses this technology | | `first_date_found` | string | Yes | Date when the keyword was first mentioned by the company in a job post | | `jobs` | integer | Yes | Number of jobs found mentioning this technology | | `jobs_last_180_days` | integer | Yes | Number of jobs from the given company mentioning this technology in the last 180 days | | `jobs_last_30_days` | integer | Yes | Number of jobs from the given company mentioning this technology in the last 30 days | | `jobs_last_7_days` | integer | Yes | Number of jobs from the given company mentioning this technology in the last 7 days | | `last_date_found` | string | Yes | Date when the keyword was last mentioned by the company in a job post | | `rank_within_category` | integer | Yes | Measures how common this technology is among the company's jobs, compared to other technologies in the same category. The most mentioned technology in its category will have a rank of 1. This helps you infer which is the technology the company is most likely to be using, when they mention several technologies that belong to the same category. | | `relative_occurrence_within_category` | number | Yes | Measures the relative occurance of this technology among other technologies in the same category, in jobs by this company. If there are 10 jobs where a company mentions 3 categories, and they appear in 8, 3 and 2 jobs respectively, its relative occurrences will be 0.8, 0.3 and 0.2. This helps you infer how likely it is that the company is using this technology, when they mention several technologies that belong to the same category. | | `technology` | KeywordExtended | Yes | Technology object | | `theirstack_score` | number | No | \[DEPRECATED\] This is a score we assign to every technology used by each company to assess how likely it is that they're using it, combining the value of \`jobs\` and \`relative\_occurrence\_within\_category\`. The higher this value is, the higher the chances that the company uses this technology. Values lower than 1 mean it's not very likely they use it. Then, the higher the value of theirstack\_score, the more likely it is that they actually use it. | ###### `technology` | Field | Type | Required | Description | | --- | --- | --- | --- | | `category` | string | No | Category of the keyword | | `category_slug` | string | No | Slug of the category of the keyword | | `logo` | string | No | Logo of the keyword | | `logo_thumbnail` | string | No | Thumbnail of the keyword | | `name` | string | Yes | | | `parent_category` | string | No | Parent category of the keyword | | `parent_category_slug` | string | No | Slug of the parent category of the keyword | | `slug` | string | Yes | Slug of the keyword | | `type` | enum(technology, software\_product, technology\_concept, operational\_activity, strategic\_initiative, metric\_or\_concept, product\_or\_service\_offered, regulation, threat\_or\_risk, event, commodity, industry\_vertical, physical\_equipment, medical\_research, government\_body) | No | Type of the keyword (e.g. technology, operational\_activity) | ##### `metadata` | Field | Type | Required | Description | | --- | --- | --- | --- | | `total_companies` | integer | No | Total number of companies | | `total_results` | integer | No | Total number of results | | `truncated_companies` | integer | No | Number of companies that were not returned because the user doesn't have enough credits to fetch all the possible results the API could have returned Default: 0 | | `truncated_results` | integer | No | Number of results that were not returned because the user doesn't have enough credits to fetch them all the possible results the API could have returned Default: 0 | #### 400 — Bad Request | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. | #### 402 — Payment Required | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. | #### 422 — Unprocessable Entity | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. | #### 500 — Internal Server Error | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. |